/**********************************************************
 *      KPD8255 KEYPAD DRIVER                             *
 *      REV 1.00                                          *
 *      6/1/99                                            *
 *                                                        *
 *      (c)1996 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      a keypad interfaced to an 82C55.                  *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "KPD8255.h"

int DIOBASE;

/************************************************************
 *      KPDInit(int baseaddr)                               *
 *                                                          *
 *      This function will initialize the base port         *
 *      address for the 82C55. This function must be        *
 *      called before any other function in this library.   *                        
 ************************************************************/
void KPDInit(int baseaddr)
{
        DIOBASE = baseaddr;

        /* CONFIGURE PORTA (DATA) OF 8255 AS OUTPUTS, PORTB as INPUTS */
        /* PORTC(LOW) as INPUTS, and PORTC(HIGH) as OUTPUTS */
        outp(DIOBASE + DIOCMD, AOUTBIN);
        outp(DIOBASE + DIOPORTA, 0xFF);  /* initialize port A HIGH */
}
