/**********************************************************
 *      LCD DRIVER for 82C55 Digital I/O                  *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      an LCD display interfaced to an 82C55.            *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "LCD8255.h"

/************************************************
 *      LCDPuts()                               *
 *                                              *
 *      This function will output a string      *
 *      to the LCD in the current position.     *
 ************************************************/
int LCDPuts(char * str)
{
	int n;

	for (n=0; str[n]; n++)
                LCDPutc(str[n]);

	return (0);     /* always return zero to show success */
}
