/***************************************************************
 *      PRINTER DRIVER for 82C55 Digital I/O                   *
 *      SW4057                                                 *
 *      REV 1.00                                               *
 *      6/1/99                                                 *
 *                                                             *
 *      (c)1999 Micro/sys, Inc.                                *
 *      Glendale, CA                                           *
 *                                                             *
 *      This file contains the routines used to access         *
 *      a parallel printer port interfaced to an 82C55.        *
 ***************************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "LPT8255.h"

int DIOBASE;

/************************************************************
 *      LPTInit(int baseaddr)                               *
 *                                                          *
 *      This function will initialize the base port         *
 *      address for the 82C55. This function must be        *
 *      called before any other function in this library.   *                       
 ************************************************************/
void LPTInit(int baseaddr)
{
        DIOBASE = baseaddr;

        /* CONFIGURE PORTA (DATA) OF 8255 AS OUTPUTS, PORTB as OUTPUTS */
        /* PORTC(LOW) as INPUTS and PORTC(HIGH) as OUTPUTS */
        outp(DIOBASE + DIOCMD, PORTAOUT);
        outp(DIOBASE + DIOPORTB, STROBE | INIT);
}
