/**********************************************************
 *      DEMOLPT.C                                         *
 *      6/1/99                                            *
 *                                                        *
 *      (c)1996 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to use the   *
 *      82C55 Digital I/O for a parallel printer port.    *
 *                                                        *
 *      The demo will initialize 82C55 and redirect the   *
 *      bios_printer routines to the digital I/O of the   *
 *      particular Micro/sys single board computer.       *
 *                                                        *
 *      To compile this demo using a microsoft compiler:  *
 *        > cl DEMOLPT.C LPT8255S.LIB                     *
 *                                                        *
 **********************************************************/
#include <stdio.h>
#include "LPT8255.h"

void main()
{
        /* TO RUN ON ANOTHER MICRO/SYS SBC, EDIT ADDRESS OF DIGITAL I/O */
        LPTInit(0x204);         /* SBC2486DX digital I/O */

        LPTRedirect();          /* redirect INT17 to 8255 */

        /* print string to 82C55 LPT port */
        fprintf(stdprn, " 82C55 Printer Port Test............... ");
        fprintf(stdprn, " This is a demonstration of an LPT port ");
        fprintf(stdprn, " implemented with the 82C55 digital I/O.");

        //LPTRestore();         /* restore INT 0x17 to LPT */
}

